py4j

## Interface GatewayServerListener

- All Known Implementing Classes:
    DefaultGatewayServerListener, GatewayServer

      public interface GatewayServerListener

  A client can implement this listener to be notified of Gateway events.

  Author:
    Barthelemy Dagenais

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `connectionError(Exception e)`
    `void` | `connectionStarted(GatewayConnection gatewayConnection)`
    `void` | `connectionStopped(GatewayConnection gatewayConnection)`
    `void` | `serverError(Exception e)` This method may be called concurrently with serverPostShutdown().
    `void` | `serverPostShutdown()` This method may be called concurrently with serverStopped() and serverError().
    `void` | `serverPreShutdown()`
    `void` | `serverStarted()`
    `void` | `serverStopped()` This method may be called concurrently with serverPostShutdown().

- - ### Method Detail

    - #### connectionError

          void connectionError(Exception e)

    - #### connectionStarted

          void connectionStarted(GatewayConnection gatewayConnection)

    - #### connectionStopped

          void connectionStopped(GatewayConnection gatewayConnection)

    - #### serverError

          void serverError(Exception e)

      This method may be called concurrently with serverPostShutdown().

      Typically a one thread calls shutdown() and then, the thread running the GatewayServer breaks from the connection accept loop.

    - #### serverPostShutdown

          void serverPostShutdown()

      This method may be called concurrently with serverStopped() and serverError().

      Typically a one thread calls shutdown() and then, the thread running the GatewayServer breaks from the connection accept loop.

    - #### serverPreShutdown

          void serverPreShutdown()

    - #### serverStarted

          void serverStarted()

    - #### serverStopped

          void serverStopped()

      This method may be called concurrently with serverPostShutdown().

      Typically a one thread calls shutdown() and then, the thread running the GatewayServer breaks from the connection accept loop.